# IRdSSVertexStream Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumVertices ([out, retval] RtDWORD *dwNumVertices)
HRESULT | SetNumVertices ([in] RtDWORD dwNumVertices)
## Properties
RtFloat * | weight ([in] RtDWORD dwIndex)`[get]`
RtFloat | weight ([in] RtDWORD dwIndex)`[set]`
RtLong * | subdiv ([in] RtDWORD dwIndex)`[get]`
RtLong | subdiv ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdSSVertexStream:

- Specifies per-vertex subdivision and vertex weight.
- Elements are stored in RtVertexSubdivInfo structure.
- The stream is part of IRdMesh and is stored in Vertex stream group.
- Stream is identified by STREAMID_VERTEX_SS_INFO id.

## Member Function Documentation

HRESULT IRdSSVertexStream::GetNumVertices | ( | [out, retval] RtDWORD * | dwNumVertices | ) |

Get number of vertices.

Returns:
  dwNumVertices [out,retval] Returns number of vertices found in stream.

  standard HRESULT processing can be applied to returned value.

HRESULT IRdSSVertexStream::SetNumVertices | ( | [in] RtDWORD | dwNumVertices | ) |

Set number of vertices.

Parameters:

  | dwNumVertices | [in] Value to set for number of vertices in the stream.

Returns:
  standard HRESULT processing can be applied to returned value.

## Property Documentation

RtFloat* IRdSSVertexStream::weight([in] RtDWORD dwIndex)`[get]`

Get weight for i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.

Returns:
  pVal [out, retval] Value for i-th vertex weight.

  standard HRESULT processing can be applied to returned value.

RtFloat IRdSSVertexStream::weight([in] RtDWORD dwIndex)`[set]`

Set weight for i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.
  | newVal | [in] New value for the i-th vertex weight.

Returns:
  standard HRESULT processing can be applied to returned value.

RtLong* IRdSSVertexStream::subdiv([in] RtDWORD dwIndex)`[get]`

Get subdivision level for i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.

Returns:
  pVal [out, retval] Value for i-th vertex subdiv level.

  standard HRESULT processing can be applied to returned value.

RtLong IRdSSVertexStream::subdiv([in] RtDWORD dwIndex)`[set]`

Set subdivision level for i-th vertex.

Parameters:

  | dwIndex | [in] Vertex index.
  | newVal | [in] New value for the i-th vertex subdiv level.

Returns:
  standard HRESULT processing can be applied to returned value.